package com.tuoheng.admin.enums.code.inspectionfile;

/**
 *  任务问题确认返回码
 *      模块代码：24（问题管理）
 *      接口代码：05 （任务问题确认）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
public enum InspectionFileConfirmCodeEnum {

    CONFIRM_IS_FAILED(1240500, "确认任务问题失败"),
    INSPECTION_FILE_ID_IS_NULL(1240501, "任务问题id为空"),
    INSPECTION_FILE_IS_NOT_EXIST(1240502, "任务问题不存在"),
    NOT_CONFIRM_INSPECTION_FILE(1240503, "非待确认任务不能被确认");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    InspectionFileConfirmCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
